commit a9e3584c0b2cc9b8a32c666a1dc71c7582426159
Author: freddy77 <freddy77>
Date:   Fri Feb 6 10:59:28 2009 +0000

    fix rpc test

diff --git a/ChangeLog b/ChangeLog
index ad95872..dabad20 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Feb  6 11:59:03 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/rpc.sql: fix rpc test
+
 Fri Feb  6 11:10:35 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/common.c: remove file leak in unittests
 
@@ -1280,4 +1283,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2721 2009/02/06 10:11:08 freddy77 Exp $
+$Id: ChangeLog,v 1.2722 2009/02/06 10:59:28 freddy77 Exp $
diff --git a/src/dblib/unittests/rpc.sql b/src/dblib/unittests/rpc.sql
index 7b35e76..7e73cc0 100644
--- a/src/dblib/unittests/rpc.sql
+++ b/src/dblib/unittests/rpc.sql
@@ -18,7 +18,7 @@ return 42
 END 
 
 go
-DROP PROCEDURE t0022
+IF OBJECT_ID('t0022') IS NOT NULL DROP PROC t0022
 go
 CREATE PROCEDURE t0022 
   @null_input varchar(30) OUTPUT 
@@ -40,5 +40,5 @@ return 42
 END 
 
 go
-DROP PROCEDURE t0022
+IF OBJECT_ID('t0022') IS NOT NULL DROP PROC t0022
 go

